Bio Radio SDK - Xamarin Android: CommonDeviceAPI.Android.TcpTransport Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | Properties | List of all members
CommonDeviceAPI.Android.TcpTransport Class Reference

Class - TCP Transport More...

Inheritance diagram for CommonDeviceAPI.Android.TcpTransport:

## Public Member Functions

| TcpTransport (string hostname, int port)
| Tcp transport constructor. More...
void | OpenConnection ()
| Open tcp transport connection. More...
void | CloseConnection ()
| Close Tcp transport connection. More...
void | Dispose ()
| Dispose tcp transport socket. More...

## Properties

System.IO.Stream | BaseStream`[get]`
| Get a base stream property. More...
bool | IsOpen`[get]`
| Get IsOpen property. More...
Properties inherited from GLNeuroTech.Devices.Common.TransportLayer.IDeviceTransport
Stream | BaseStream`[get]`
bool | IsOpen`[get]`

## Detailed Description

Class - TCP Transport

## Constructor & Destructor Documentation

## ◆ TcpTransport()

CommonDeviceAPI.Android.TcpTransport.TcpTransport | ( | string | hostname,
|  | int | port
| ) |  |

Tcp transport constructor.

Parameters

  hostname | Hostname as a string.
  port | Take a port as an integer.

## Member Function Documentation

## ◆ CloseConnection()

void CommonDeviceAPI.Android.TcpTransport.CloseConnection | ( |  | ) |

Close Tcp transport connection.

Implements GLNeuroTech.Devices.Common.TransportLayer.IDeviceTransport.

## ◆ Dispose()

void CommonDeviceAPI.Android.TcpTransport.Dispose | ( |  | ) |

Dispose tcp transport socket.

## ◆ OpenConnection()

void CommonDeviceAPI.Android.TcpTransport.OpenConnection | ( |  | ) |

Open tcp transport connection.

Implements GLNeuroTech.Devices.Common.TransportLayer.IDeviceTransport.

## Property Documentation

## ◆ BaseStream

System.IO.Stream CommonDeviceAPI.Android.TcpTransport.BaseStream

get

Get a base stream property.

## ◆ IsOpen

bool CommonDeviceAPI.Android.TcpTransport.IsOpen

get

Get IsOpen property.